| 接口频率限制 | 100 次/分钟 |
|---|---|
| 权限要求 | 获取合同信息 |
Authorization: Bearer ********************{
"page_size": 10,
"page_index": "5",
"sort_field": "contractId",
"order": "desc",
"user_id": "c8ec517e",
"must_condition": [
{
"field_code": "contractStatus",
"operator": 0,
"field_value": [
"filed value"
]
}
],
"should_condition": [
{
"field_code": "contractStatus",
"operator": 0,
"field_value": [
"filed value"
]
}
],
"submitter_user_ids": [
"7dc8a87f"
],
"department_ids": [
"od-5cefe25147a103456cf21a63b1132ad"
]
}curl --location --request POST 'https://open.qfei.cn/open-apis/contract/v1/payments/search?user_id_type=user_id' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"page_size": 10,
"page_index": "5",
"sort_field": "contractId",
"order": "desc",
"user_id": "c8ec517e",
"must_condition": [
{
"field_code": "contractStatus",
"operator": 0,
"field_value": [
"filed value"
]
}
],
"should_condition": [
{
"field_code": "contractStatus",
"operator": 0,
"field_value": [
"filed value"
]
}
],
"submitter_user_ids": [
"7dc8a87f"
],
"department_ids": [
"od-5cefe25147a103456cf21a63b1132ad"
]
}'{
"code": 0,
"msg": "success",
"data": {
"total": 10,
"payment_plans": [
{
"contract_id": "6948326722185986334",
"contract_name": "doc-picture",
"contract_number": "CT20210407000005",
"contract_status": 1,
"department_id": "od-5cefe25147a103456cf21a63b1132ad",
"category_code": "SBCG",
"sign_date": "2021-04-06 22:12:05",
"contract_property": 1,
"start_date": "2021-11-16 00:00:00",
"end_date": "2021-11-16 00:00:00",
"payment_amount": "10000",
"unpaid_amount": "200",
"currency": "CNY",
"payment_date": "2021-11-16 00:00:00",
"payment_desc": "说明",
"payment_condition": "无条件",
"payment_rate": "90%",
"prepaid": true,
"legal_entity_id": "6948754805682602433",
"legal_entity_version": 1,
"trading_party_id": "6948626950571180332",
"trading_party_version": 2,
"bank_account_id": "132123·323213",
"attributes": [
{
"field_code": "3123213",
"name": "amount",
"value": "2"
}
],
"submitter_user_id": "7dc8a87f"
}
]
}
}